﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _332388_DesktopAlertLocation
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radDesktopAlert1.Popup.LocationChanged += Popup_LocationChanged;
            this.radDesktopAlert1.CaptionText = "New E-mail Notification";
            this.radDesktopAlert1.ContentText = "Hello Jack, I am writing to inform you " +
                                                "that the planning meeting scheduled for Wednesday has been postponed and" +
                                                "it will eventually be rescheduled, possibly for the next Tuesday";
            this.radDesktopAlert1.Show();
        }

        int x = 0;
        int y = 0;
 
        private void Popup_LocationChanged(object sender, EventArgs e)
        {
            DesktopAlertPopup popup = sender as DesktopAlertPopup;
            if (popup != null)
            {
                x = this.Location.X + this.Width - popup.Size.Width;
                y = this.Location.Y + this.Height - popup.Size.Height;
                popup.Location = new Point(x, y);
            }
        }
    }
}